%global momorel 5
%global prever 1
%global srcrel a1

Summary: A free RAW converter and digital photo processing software
Name: rawtherapee
Version: 3.0
Release: 0.%{prever}.%{momorel}m%{?dist}
License: GPLv3
Group: Applications/Multimedia
URL: http://www.rawtherapee.com/
Source0: %{name}-%{version}-%{srcrel}.tar.bz2
Source10: %{name}.desktop
Source11: hi16-apps-%{name}.png
Source12: hi22-apps-%{name}.png
Source13: hi32-apps-%{name}.png
Source14: hi48-apps-%{name}.png
Source15: hi64-apps-%{name}.png
Source16: hi128-apps-%{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): coreutils
Requires(post): desktop-file-utils
Requires(post): gtk2
Requires(postun): coreutils
Requires(postun): desktop-file-utils
Requires(postun): gtk2
Requires: hicolor-icon-theme
BuildRequires: ImageMagick
BuildRequires: cmake
BuildRequires: coreutils
BuildRequires: glib2-devel
BuildRequires: glibmm-devel
BuildRequires: gtk2-devel
BuildRequires: gtkmm-devel
BuildRequires: lcms-devel
BuildRequires: libiptcdata-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libsigc++-devel
BuildRequires: libtiff-devel
BuildRequires: pkgconfig
BuildRequires: zlib-devel

%description
Raw Therapee is a free RAW converter and digital photo processing software.

%prep
%setup -q

### Fedora's hack
# Fix for x86_64 and ppc64
%ifarch x86_64 ppc64
sed -i "s|/lib|/lib64|g" CMakeLists.txt
%endif

# Hide info box on picture by default
sed -i "s|^.*options.showInfo.*||" rtgui/editorpanel.cc

# fix wrong line endings
sed -i "s|\r||g" AUTHORS.txt COMPILE.txt

%build
%cmake .

make %{?_smp_mflags} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE10} %{buildroot}%{_datadir}/applications/

# install and link icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,32x32,48x48,64x64,128x128}/apps
install -m 644 %{SOURCE11} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 %{SOURCE12} %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
install -m 644 %{SOURCE13} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m 644 %{SOURCE14} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m 644 %{SOURCE15} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -m 644 %{SOURCE16} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:
/sbin/ldconfig

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS.txt COMPILE.txt LICENSE.txt
%{_bindir}/rt
%{_libdir}/librtengine.so
%{_libdir}/librtexif.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0-0.1.5m)
- full rebuild for mo7 release

* Fri Aug 13 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-0.1.4m)
- modify %%post and %%postun

* Sun Jun 13 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-0.1.3m)
- change Source0 to Fedora's tar-ball of upstream rev ccc12f4a03
- modify %%post and %%postun

* Tue Apr 27 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-0.1.2m)
- change Source0 to rawtherapee-3.0-a1-fork.tar.bz2
- http://lists.fedoraproject.org/pipermail/scm-commits/2010-March/410774.html
- import Fedora's hack to %%prep section
- modify %%post and %%postun
- update rawtherapee.desktop
- remove a switch usesvn

* Mon Jan 25 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-0.1.1m)
- initial package for photo freaks using Momonga Linux
